/**************************************************************
* lswt.c
* This file is the definition of the lifting scheme wavelet 
* transform component based on SOS.
* Author: Shengpu Liu
**************************************************************/

#ifndef _LSWT_H_
#define _LSWT_H_

#ifndef _MODULE_
int8_t blink_init();
#endif

//message types
enum {
	// KER_MSG_START + 100 ~ 199 reserved for massware system msg
	MSG_FORWARD_INPUT              = (MOD_MSG_START + 100), 
	MSG_FORWARD_OUTPUT             = (MOD_MSG_START + 101), 
    MSG_SET_SCALE                  = (MOD_MSG_START + 102),
	MSG_INVERSE_INPUT              = (MOD_MSG_START + 103), 
	MSG_INVERSE_OUTPUT             = (MOD_MSG_START + 104), 
};

//module ids
enum {
	LSW_TRANSFORM_MOD_ID       = (APP_MOD_MIN_PID + 44),	
};

enum {
	forward  = 1, 
	inverse  = 2,
};

// please note that the data_type can not unsigned because the data could be negative after transformation
// please use int32_t if you use high definination sensor that use 16 bit data (uint16_t is not enough)
// the data_type should be consist with quantization. to simplify the process, we assume the sense data are 10 bits
typedef int16_t data_type;

#endif

